Download it now!
Bug 86627 - CONTEXT MENU: 'Crop Image' shouldnt open dialog, it should execute .uno:Crop
Summary: CONTEXT MENU: 'Crop Image' shouldnt open dialog, it should execute .uno:Crop
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Joel Madero
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords:
Depends on:
Blocks: Context-Menu Impress-UX
  Show dependency treegraph
 
Reported: 2014-11-23 14:06 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-13 12:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-23 14:06:17 UTC
We have a simple user interactive crop tool in .uno:Crop, but the context menu is executing .uno:GrafAttrCrop.
Comment 1 Joel Madero 2014-11-25 16:05:27 UTC
Jay - and what is the benefit of one over the other? I'm setting this to NEEDINFO as there is literally no explanation as to why we should do this or what it would add.
Comment 2 Yousuf Philips (jay) (retired) 2014-11-25 17:29:42 UTC
Sorry for the limited explanation. :D

Presently when you right-click on an image in impress, the context menu gives the option 'Crop Image...' which opens up a crop dialog which allows you to manually change values to crop an image (the same as going to Format > Crop Image). This would be fine if this was the only means of available to crop an image, but the toolbar has a 'Crop Image' button which allows you to easily crop an image by dragging the corners of the image with the mouse.

So rather than linking to the crop dialog (.uno:GrafAttrCrop) in the context menu, the context menu should link to the interactive crop tool (.uno:Crop).
Comment 3 raal 2014-12-12 13:03:26 UTC
Crop dialog (https://help.libreoffice.org/Common/Crop_1) is still accessible via menu Format.
Setting as NEW, cropping with interactive crop tool is more user friendly.
Comment 4 Joel Madero 2014-12-14 01:16:31 UTC
I'm taking this
Comment 5 Joel Madero 2014-12-14 17:59:44 UTC
Committed patch: https://gerrit.libreoffice.org/#/c/13472/

Should be available shortly in 4.5.
Comment 6 Commit Notification 2014-12-17 17:54:16 UTC
Joel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fdec5e9f9a42214918290d4a329c97e98826627a

fdo#86627 - Change Image Crop Behavior

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-18 11:55:34 UTC
Joel committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b0860414cefded03fdbc0a4490aaac39236ff09&h=libreoffice-4-4

fdo#86627 - Change Image Crop Behavior (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2014-12-18 14:43:17 UTC
The patch was actually tested?
Comment 9 Joel Madero 2014-12-18 16:29:12 UTC
I think Jay tested it - but it works fine on my system. Why...is it not working for you?
Comment 10 Adolfo Jayme 2014-12-18 16:59:09 UTC
(In reply to Joel Madero from comment #9)
> I think Jay tested it - but it works fine on my system. Why...is it not
> working for you?

It does — sorry for the noise, I had a brainfart and thought I was testing the latest build.